// Sample news data
const newsData = [
  {
    title: "Global Climate Summit Reaches Historic Agreement",
    category: "World",
    date: "2024-01-19",
    excerpt: "World leaders commit to ambitious carbon reduction targets in landmark decision."
  },
  {
    title: "New AI Model Revolutionizes Medical Diagnosis",
    category: "Technology",
    date: "2024-01-18",
    excerpt: "Artificial intelligence system achieves breakthrough in early disease detection."
  },
  {
    title: "Space Tourism Company Announces First Commercial Flight",
    category: "Science",
    date: "2024-01-17",
    excerpt: "Private space travel becomes reality as company sets launch date."
  }
];

// Mobile menu toggle
document.querySelector('.menu-toggle').addEventListener('click', () => {
  document.querySelector('.nav-links').classList.toggle('active');
});

// Populate news grid
function populateNews() {
  const gridContainer = document.querySelector('.grid-container');
  
  newsData.forEach(news => {
    const article = document.createElement('article');
    article.className = 'news-item';
    article.innerHTML = `
      <span class="category">${news.category}</span>
      <h3>${news.title}</h3>
      <p>${news.excerpt}</p>
      <div class="meta">
        <time datetime="${news.date}">${formatDate(news.date)}</time>
      </div>
    `;
    gridContainer.appendChild(article);
  });
}

// Format date
function formatDate(dateString) {
  const options = { day: 'numeric', month: 'short', year: 'numeric' };
  return new Date(dateString).toLocaleDateString('en-US', options);
}

// Newsletter form handling
document.getElementById('newsletter-form').addEventListener('submit', (e) => {
  e.preventDefault();
  const email = e.target.querySelector('input[type="email"]').value;
  alert(`Thank you for subscribing with: ${email}`);
  e.target.reset();
});

// Initialize
document.addEventListener('DOMContentLoaded', () => {
  populateNews();
});
